Bug 194283 - CVE-2006-2842 Squirrelmail file inclusion
CVE-2006-2842 Squirrelmail file inclusion
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
impact=moderate,source=bugtraq,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-06 16:36 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0547
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-03 12:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-06-06 16:36:43 EDT
Squirrelmail file inclusion

A PHP file inclusion error was found in squirrelmail.  If if
register_globals is enabled and magic_quotes_gpc is disabled,
it becomes possible for an unauthenticated remote attacker to view
arbitrary file contents.

This confuration is not default nor safe.

http://marc.theaimsgroup.com/?l=bugtraq&m=114920246410100&w=2


This issue also affects RHEL3
Comment 1 Josh Bressers 2006-06-06 16:43:17 EDT
There is an upstream patch here:

http://www.squirrelmail.org/security/issue/2006-06-01
Comment 3 Red Hat Bugzilla 2006-07-03 12:07:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0547.html

Note You need to log in before you can comment on or make changes to this bug.